using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;

namespace SyncfusionTest
{
	/// <summary>
	/// Summary description for GridCell.
	/// </summary>
	public class GridCell : System.Windows.Forms.UserControl
	{
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.CheckBox checkBox;
		private System.Windows.Forms.ComboBox comboBox;
		/// <summary> 
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		private Hashtable dataHash; 

		#region Construction and Destruction

		public GridCell()
		{
			// This call is required by the Windows.Forms Form Designer.
			InitializeComponent();

			// TODO: Add any initialization after the InitializeComponent call

		}

		/// <summary> 
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#endregion

		#region Component Designer generated code
		/// <summary> 
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.panel1 = new System.Windows.Forms.Panel();
			this.checkBox = new System.Windows.Forms.CheckBox();
			this.comboBox = new System.Windows.Forms.ComboBox();
			this.panel1.SuspendLayout();
			this.SuspendLayout();
			// 
			// panel1
			// 
			this.panel1.Controls.Add(this.checkBox);
			this.panel1.Dock = System.Windows.Forms.DockStyle.Top;
			this.panel1.Location = new System.Drawing.Point(0, 0);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(176, 20);
			this.panel1.TabIndex = 0;
			// 
			// checkBox
			// 
			this.checkBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.checkBox.BackColor = System.Drawing.Color.Transparent;
			this.checkBox.Location = new System.Drawing.Point(3, 2);
			this.checkBox.Name = "checkBox";
			this.checkBox.Size = new System.Drawing.Size(172, 16);
			this.checkBox.TabIndex = 0;
			this.checkBox.CheckedChanged += new System.EventHandler(this.checkBox_CheckedChanged);
			// 
			// comboBox
			// 
			this.comboBox.BackColor = System.Drawing.SystemColors.Window;
			this.comboBox.Dock = System.Windows.Forms.DockStyle.Top;
			this.comboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboBox.Location = new System.Drawing.Point(0, 20);
			this.comboBox.Name = "comboBox";
			this.comboBox.Size = new System.Drawing.Size(176, 21);
			this.comboBox.TabIndex = 1;
			this.comboBox.SelectedIndexChanged += new System.EventHandler(this.comboBox_SelectedIndexChanged);
			// 
			// GridCell
			// 
			this.BackColor = System.Drawing.SystemColors.Control;
			this.Controls.Add(this.comboBox);
			this.Controls.Add(this.panel1);
			this.Name = "GridCell";
			this.Size = new System.Drawing.Size(176, 43);
			this.Load += new System.EventHandler(this.GridCell_Load);
			this.panel1.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		#region Event Handlers

		private void GridCell_Load(object sender, System.EventArgs e)
		{
			this.SetStyle(ControlStyles.SupportsTransparentBackColor,true);
			if(this.Parent != null)
				this.BackColor = this.Parent.BackColor;
			else
				this.BackColor = Color.Transparent;
		}

		private void checkBox_CheckedChanged(object sender, System.EventArgs e)
		{
			this.comboBox.Enabled = this.checkBox.Checked;
		}

		#endregion

		private void comboBox_SelectedIndexChanged(object sender, System.EventArgs e)
		{
		
		}

		#region Properties

		public Hashtable Data
		{
			set
			{
				if(value != null)
				{
					this.dataHash = value;
					//SetOnControl();
				}
			}
			get
			{
				return this.dataHash;
			}
		}

		#endregion

		#region Methods

		private void SetOnControls()
		{
//			this.checkBox = string.Compare((string)this.dataHash[Nodes.UseOriginalInvestorID],"1") == 0;
//			this.checkBox.Text = (string)this.dataHash[Nodes.Text];
//			if(this.dataHash[Nodes.Funds] is IList)
//			{
//				this.comboBox.DataSource = this.dataHash[Nodes.Funds] as IList;
//				this.comboBox.DisplayMember = "Display";
//				this.comboBox.ValueMember = "Value";
//				if(this.dataHash.Contains(Nodes.FundID) && ((string)this.dataHash[Nodes.FundID]).Length > 0)
//					this.comboBox.SelectedValue = (string)this.dataHash[Nodes.FundID];
//				else
//					this.comboBox.SelectedIndex = -1;
//			}
		}

		public bool CheckBoxVisible 
		{
			set
			{
				this.panel1.Visible = value;
				if(!value)
					this.Height = this.comboBox.Height;
			}
		}

		public bool ComboBoxVisible
		{
			set
			{
				this.comboBox.Visible = value;
				if(!value)
					this.Height = this.panel1.Height;
			}
		}
		#endregion
	}
}
